
Application: gvSIG desktop - gvSIG bugs #5584
Si añadimos un campo sin comenzar edición, luego no deja rellenar los registros, ya que están de 
solo lectura
03/16/2021 10:12 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Óscar Martínez
Category: Document table
Target version: 2.6.0-3218
Severity: Trivial Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si añadimos un campo en una tabla sin estar en modo edición (desde el Gestor de columnas), luego no deja rellenar los registros, ya
que están de solo lectura

Pasos seguidos: 
- Tenemos una capa que no está en edición, y abrimos su tabla. 
- Vamos a Tabla->Gestor de columnas 
- Añadimos nueva columna y aceptamos 
- Comenzamos edición. 
- Intentamos rellenar cualquier registro, pero dice que solo son de modo lectura.

Associated revisions
Revision 45617 - 03/26/2021 02:58 PM - José Olivas

refs #5584

History
#1 - 03/18/2021 06:55 PM - Joaquín  del Cerro Murciano
- Severity changed from Critical to Trivial
- Target version changed from 2.6.1-final to 2.6.0-3218

No se trata de un error.
Cuando se entra en el "gestor de columnas" sin estar en edicion de la capa, solo se pueden añadir campos calculados. Si se pulsa sobre el boton
nuevo campo, automaticamente marca el check de campo calculado y lo deshabilita para que no se pueda desmarcar.

Luego ese campo no puede ser editado, ya que se trata de un campo calculado o virtual.

Si a caso se podria añadir un mensaje al abrirse el dialogo cuando no este en edicion, diciendo que solo parte de las funcionalidades estaran
disponibles pudiendose modificar o crear campos solo si son calculados. Realmente se puede modificar cosas aunque no este en edicion siempre que
no afecten a la estructura de la tabla. Las que afectan a la estructura de la tabla no deja hacerlas.
#2 - 03/26/2021 03:01 PM - José Olivas
- Status changed from New to Fixed

#3 - 05/19/2021 11:38 AM - Álvaro Anguix
- Status changed from Fixed to Closed
